<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '../../common/meta';
import {
  SummitCarousel,
  SummitCopy,
  SummitHero,
} from '../../components/events/index.vue';
import { FooterEditLinkMixin } from '~/mixins';

export default Vue.extend({
  components: {
    SummitCarousel,
    SummitCopy,
    SummitHero,
  },
  mixins: [FooterEditLinkMixin],
  layout: 'summit-navigation',

  nuxtI18n: false,
  async asyncData({ $summitEventService }: any) {
    try {
      const { items, content, spaceId, entryId } =
        await $summitEventService.getContent();

      return { content, items, spaceId, entryId };
    } catch (e) {
      throw new Error(e);
    }
  },
  head() {
    return getPageMetadata((this as any).content.metadata, this.$route.path);
  },
});
</script>

<template>
  <div class="summit_page">
    <SummitHero v-if="content.hero" :data="content.hero" :date="content.date" />
    <SummitCopy
      v-if="content.blurb"
      :data="content.blurb"
      :background="`purple-background`"
    />
    <SummitCarousel v-if="content.carousel" :data="content.carousel" />
    <SummitCopy v-if="content.questions" :data="content.questions" />
  </div>
</template>

<style lang="scss">
.summit_event_page {
  overflow-x: hidden;
  position: relative;

  #goal {
    .slp-container {
      div {
        padding-bottom: 0 !important;
      }
    }
  }
}
</style>
